
import com.imsl.stat.*;
import com.imsl.math.PrintMatrix;
import java.util.logging.*;

public class ProportionalHazardsEx1 {

    public static void main(String args[]) throws Exception {
        double[][] x = {
            {411, 0, 7, 64, 5, 1, 0},
            {126, 0, 6, 63, 9, 1, 0},
            {118, 0, 7, 65, 11, 1, 0},
            {92, 0, 4, 69, 10, 1, 0},
            {8, 0, 4, 63, 58, 1, 0},
            {25, 1, 7, 48, 9, 1, 0},
            {11, 0, 7, 48, 11, 1, 0},
            {54, 0, 8, 63, 4, 2, 0},
            {153, 0, 6, 63, 14, 2, 0},
            {16, 0, 3, 53, 4, 2, 0},
            {56, 0, 8, 43, 12, 2, 0},
            {21, 0, 4, 55, 2, 2, 0},
            {287, 0, 6, 66, 25, 2, 0},
            {10, 0, 4, 67, 23, 2, 0},
            {8, 0, 2, 61, 19, 3, 0},
            {12, 0, 5, 63, 4, 3, 0},
            {177, 0, 5, 66, 16, 4, 0},
            {12, 0, 4, 68, 12, 4, 0},
            {200, 0, 8, 41, 12, 4, 0},
            {250, 0, 7, 53, 8, 4, 0},
            {100, 0, 6, 37, 13, 4, 0},
            {999, 0, 9, 54, 12, 1, 1},
            {231, 1, 5, 52, 8, 1, 1},
            {991, 0, 7, 50, 7, 1, 1},
            {1, 0, 2, 65, 21, 1, 1},
            {201, 0, 8, 52, 28, 1, 1},
            {44, 0, 6, 70, 13, 1, 1},
            {15, 0, 5, 40, 13, 1, 1},
            {103, 1, 7, 36, 22, 2, 1},
            {2, 0, 4, 44, 36, 2, 1},
            {20, 0, 3, 54, 9, 2, 1},
            {51, 0, 3, 59, 87, 2, 1},
            {18, 0, 4, 69, 5, 3, 1},
            {90, 0, 6, 50, 22, 3, 1},
            {84, 0, 8, 62, 4, 3, 1},
            {164, 0, 7, 68, 15, 4, 1},
            {19, 0, 3, 39, 4, 4, 1},
            {43, 0, 6, 49, 11, 4, 1},
            {340, 0, 8, 64, 10, 4, 1},
            {231, 0, 7, 67, 18, 4, 1}
        };
        int indef[] = {2, 3, 4, 5, 6};
        int nvef[] = {1, 1, 1, 1, 1};
        int indcl[] = {5, 6};
        int maxcl = 6, icen = 1;
        double ratio = 10000.0;

        ProportionalHazards ph = new ProportionalHazards(x, nvef, indef);
        ph.setMaxClass(maxcl);
        ph.setCensorColumn(icen);
        ph.setClassVarColumns(indcl);
        ph.setStratumRatio(ratio);

        // Level.FINER prints most output statistics
        Logger logger = ph.getLogger();
        ConsoleHandler ch = new ConsoleHandler();

        // Set ConsoleHandler Level to ALL
        ch.setLevel(Level.ALL);
        logger.setLevel(Level.FINER);
        logger.addHandler(ch);
        ch.setFormatter(new com.imsl.IMSLFormatter());

        double coef[][] = ph.getParameterStatistics();
        new PrintMatrix("\nFinal Coefficient Matrix").print(coef);
    }
}
